# Uses of Interface
org.eclipse.birt.report.model.api.metadata.IElementDefn

Packages that use IElementDefn
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.core
Represents the fundamental data structures of the user-defined property and the interface of UI listener.
org.eclipse.birt.report.model.api.metadata
Defines the elements, properties, types, structures and slots in the Report Object Model.
org.eclipse.birt.report.model.api.validators
Provides the validation classes for semantic check on multiple properties.

## Uses of IElementDefn in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return IElementDefn
Modifier and Type
Method
Description
`IElementDefn`
DesignElementHandle.`getDefn()`
Gets the definition of the element.
`IElementDefn`
OdaDataSetHandle.`getDefn()`
Returns the element definition of the element this handle represents.
`IElementDefn`
OdaDataSourceHandle.`getDefn()`
Returns the element definition of the element this handle represents.

## Uses of IElementDefn in org.eclipse.birt.report.model.api.core

Methods in org.eclipse.birt.report.model.api.core that return IElementDefn
Modifier and Type
Method
Description
`IElementDefn`
IDesignElement.`getDefn()`
Returns the definition object for this element.

## Uses of IElementDefn in org.eclipse.birt.report.model.api.metadata

Methods in org.eclipse.birt.report.model.api.metadata that return IElementDefn
Modifier and Type
Method
Description
`IElementDefn`
IMetaDataDictionary.`findElementByThemeType(String themeType)`
Finds the element definition with the specified report item theme type.
`IElementDefn`
IMetaDataDictionary.`getElement(String name)`
Finds the element definition by its internal name.
`IElementDefn`
IMetaDataDictionary.`getExtension(String name)`
Returns the extension definition given the extension name.
`IElementDefn`
IMetaDataDictionary.`getStyle()`
Returns the meta-data element that defines the style element.
`IElementDefn`
IPropertyDefn.`getTargetElementType()`
Return the element type associated with this property.
Methods in org.eclipse.birt.report.model.api.metadata that return types with arguments of type IElementDefn
Modifier and Type
Method
Description
`List<IElementDefn>`
ISlotDefn.`getContentElements()`
Returns the set of element types that can appear in the slot.
`List<IElementDefn>`
ISlotDefn.`getContentExtendedElements()`
Returns the set of element types that can appear in the slot.
`List<IElementDefn>`
IMetaDataDictionary.`getElements()`
Returns the element list.
`List<IElementDefn>`
IMetaDataDictionary.`getExtensions()`
Returns the extension list.
Methods in org.eclipse.birt.report.model.api.metadata with parameters of type IElementDefn
Modifier and Type
Method
Description
`boolean`
IElementDefn.`canContain(int slot, IElementDefn type)`
Reports whether the given slot can contain elements of the given type.
`boolean`
ISlotDefn.`canContain(IElementDefn type)`
Determines if this slot can contain an element of the given type.
`boolean`
IElementDefn.`isKindOf(IElementDefn type)`
Determines if the given element type is a kind of this type.

## Uses of IElementDefn in org.eclipse.birt.report.model.api.validators

Methods in org.eclipse.birt.report.model.api.validators with parameters of type IElementDefn
Modifier and Type
Method
Description
`List<SemanticException>`
MasterPageContextContainmentValidator.`validateForAdding(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element, IElementDefn toAdd)`
Validates whether the given element can recursively resides in the specific slot of specific container type when trying to add an element.
`List<SemanticException>`
TableHeaderContextContainmentValidator.`validateForAdding(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element, IElementDefn toAdd)`
Validates whether the given element can recursively resides in the specific slot of specific container type when trying to add an element.